/////////////////////////////////////////////////////////////////////
// convert.cpp
// This is the main source file for application convert.exe which
// modifies the HTML files created from Bug2HTML.EXE.
//
// George Cross, Borland C++ Tech Support
// March 22, 1996
/////////////////////////////////////////////////////////////////////
#include <cstring.h>       //For the BIDS string class
#include <fstream.h>       //For ifstream and ofstream
#include <dir.h>           //For findfirst() and findnext()

void  Prompt();

int main (int argc, char* argv[]){

   //
   //Give some space for politeness to start
   //
   cout << endl;

   //
   //Create the file structure
   //
   ffblk FileInfo;
   int done = findfirst("*.htm",&FileInfo,0);
   size_t pos;                           //General purpose index
   string line;                          //General purpose string
   int NumberOfFiles = 0;

   while (!done)
   {
      //
      //Create a new file name for backup
      //
      line.assign(FileInfo.ff_name);
      line.to_lower();
      pos = line.find(".htm");
      line.replace(pos, 4, ".bak");

      //
      //Rename the file to be kept as backup
      //
      MoveFile(FileInfo.ff_name, line.c_str());

      //
      //Attempt to open the file, printing a message as to
      //the outcome
      //
      ifstream ifs(line.c_str());
      if (!ifs){
         cout << "Error opening file " << line.c_str()
              << " Please ensure the file exists."  << endl;
         Prompt();
         return -1;
      }

      cout << "Successfully opened file " << line.c_str() << endl;
      cout << NumberOfFiles << " processed" << endl;

      ofstream ofs(FileInfo.ff_name);
      if (!ofs){
         cout << "Error opening file " << FileInfo.ff_name
              << " Please ensure the file exists."  << endl;
         Prompt();
         return -1;
      }

      cout << "Successfully opened file " << FileInfo.ff_name << endl;

      //
      //
      //
      char buf[80];
      while (ifs){
         ifs.getline(buf,80);
         line.assign(buf);
         pos = line.find("</B> 5.01");
         if (pos != NPOS){
            line.replace(pos, 9, "</B> 5.0a");
            NumberOfFiles = NumberOfFiles + 1;
         }
         ofs << line << endl;
      }                                     //End while(ifs)

      done = findnext(&FileInfo);           //Get next file
   }                                        //End while(!done)
   cout << NumberOfFiles << " processed" << endl;
   Prompt();
   return 0;
}                                           //End main

void Prompt(){
   cout << "Please press Enter to continue. . ." << flush;
   cin.get();
}


